%global momorel 2
%global md5sum_src0 f05a4e58d24b5a5c6b57c8d0e3810f75

Summary: A simulator for Microchip (TM) PIC (TM) microcontrollers
Name: gpsim
Version: 0.22.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.dattalo.com/gnupic/gpsim.html
Group: Development/Debuggers
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: gtk+extra-devel
BuildRequires: freetype-devel
BuildRequires: flex
BuildRequires: readline-devel

%description
gpsim is a simulator for Microchip (TM) PIC (TM) microcontrollers.
It supports most devices in Microchip's 12-bit, 14bit, and 16-bit
core families. In addition, gpsim supports dynamically loadable
modules such as LED's, LCD's, resistors, etc. to extend the simulation
environment beyond the PIC.

%package devel
Summary: Header files and static libraries from gpsim
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on gpsim.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# clean up doc
find examples -name "Makefile*" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog HISTORY
%doc INSTALL NEWS PROCESSORS README* TODO
%doc doc/gpsim.lyx doc/gpsim.pdf examples
%{_bindir}/gpsim
%{_libdir}/libgpsim*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/eXdbm
%{_includedir}/gpsim
%{_libdir}/libgpsim*.a
%{_libdir}/libgpsim*.so

%changelog
* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22.0-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22.0-1m)
- initial package for ktechlab-0.3
